> ## Documentation Index
> Fetch the complete documentation index at: https://about.sendforsign.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update recipient

> Update an existing recipient.

### Body parameters

<ParamField body="data" type="object" required>
  <Expandable title="child attribute">
    <ParamField body="action" type="string" required>
      Action type.
    </ParamField>

    <ParamField body="clientKey" type="string" required>
      Key of the client.
    </ParamField>

    <ParamField body="contractKey" type="string" required>
      Key of the contract.
    </ParamField>

    <ParamField body="recipient" type="object" required>
      Structure, add the fields that need to be updated and ignore the rest.

      <Expandable title="child attribute">
        <ParamField body="recipientKey" type="string" required>
          Key of the recipient that needs to be updated.
        </ParamField>

        <ParamField body="action" type="string">
          What the recipient needs to do with the contract. Available options: `view`, `sign`, `approve`, and `lock`.
        </ParamField>

        <ParamField body="customMessage" type="string">
          Custom note to the recipient. If not specified, the default message will be sent.
        </ParamField>

        <ParamField body="fullname" type="string">
          Full name of the recipient.
        </ParamField>

        <ParamField body="email" type="string">
          Email of the recipient.
        </ParamField>

        <ParamField body="position" type="number">
          Signing order. If not specified, all requests will be sent simultaneously.
        </ParamField>
      </Expandable>
    </ParamField>
  </Expandable>
</ParamField>

### Response

<ResponseField name="recipient" type="string">
  Recipient structure.

  <Expandable title="child attribute">
    <ResponseField name="changeTime" type="string">
      Change time.
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="code" type="string">
  The code of the answer.
</ResponseField>

<ResponseField name="message" type="string">
  The message of the answer.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST 'https://api.sendforsign.com/api/recipient' \
       -H 'X-Sendforsign-Key: YOUR_API_KEY' \
       -H 'Content-Type: application/json' \
       -d '{
      "data": {
          "action": "update",
          "clientKey": "YOUR_CLIENT_KEY",
          "contractKey": "CONTRACT_KEY",
          "recipient": {
              "recipientKey": "RECIPIENT_KEY",
              "action": "view",
              "clientKey": "YOUR_CLIENT_KEY",
              "customMessage": "Custom message text",
              "fullname": "Full Name",
              "email": "email@email.com",
              "position": 1
          }
      }
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  	  {
         "recipient": {
                  "changeTime": "2023-12-01 12:18:55"
  		},
         "code": "201",
         "message": "Recipient updated"
      } 
  ```
</ResponseExample>
